Participants
GET
/events/:eventId/participantsRetrieve event participants (confirmed / checked in and accepting meetings). Access is controlled by the participant list visibility setting.
| Auth | Optional (login-aware) |
|---|
Path parameters
idstringrequiredEvent ID
Query parameters
pagenumberPage number (1-based). Default 1
perPagenumberItems per page. Default 20
qstringKeyword (slug / name / bio / title, AND)
ticketIdstring | string[]Filter by ticket type
ignoreUserIdstringUser to exclude (e.g. self)
Response
| Field | Type | Description |
|---|---|---|
entries | Participant[] | Participants (with user / ticket / inviter) |
pageInfo | object | Pagination info (totalCount / totalPages / page / perPage) |
Request
curl https://api.4s.link/events/EVENT_ID/participants \-H "Authorization: Bearer 4s_at_..."
Example response
{"entries": [{"id": "en1-...","state": "CONFIRMED","eventId": "e1f2a3b4-...","userId": "a1b2c3d4-...","acceptsMeetingRequests": true,"user": { "id": "a1b2c3d4-...", "slug": "taro", "firstName": "太郎" },"ticketId": "t1-...","ticket": { "id": "t1-...", "name": "一般" },"invitedByEntryId": null,"_count": { "invitedEntries": 3 }}],"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }}